%global mod_name instance-identity-module
%global short_name instance-identity

Name:           jenkins-instance-identity
Version:        1.3
Release:        4%{?dist}
Summary:        Jenkins identity instance

License:        MIT
URL:            https://github.com/jenkinsci/instance-identity-module
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz

Patch0:         0001-Update-bouncycastle-to-1.50.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.bouncycastle:bcmail-jdk15on)
BuildRequires:  mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)

BuildArch:      noarch

%description
Maintains an RSA key pair that can serve as a foundation of authentication when
communicating with Jenkins

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch0 -p1

# TODO: remove when #1022551 is resolved
%pom_remove_dep org.bouncycastle:bcpkix-jdk15on
%pom_add_dep org.bouncycastle:bcprov-jdk15on
%pom_add_dep org.bouncycastle:bcmail-jdk15on

%mvn_package ::{jar}::
%mvn_package : __noinstall

%build
# tests are disabled because "package org.jvnet.hudson.test does not exist"
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Mon Jun 09 2014 Michal Srb <msrb@redhat.com> - 1.3-4
- Install only JAR files

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 31 2014 Michal Srb <msrb@redhat.com> - 1.3-2
- Fix ClassCastException in bouncycastle patch

* Fri Nov 08 2013 Michal Srb <msrb@redhat.com> - 1.3-1
- Initial packaging

